## GVirNetwork GVirNetwork |

## Synopsis

    struct              GVirNetwork;
    struct              GVirNetworkClass;
    const gchar *       gvir_network_get_name               (GVirNetwork *network);
    const gchar *       gvir_network_get_uuid               (GVirNetwork *network);
    GVirConfigNetwork * gvir_network_get_config             (GVirNetwork *network,
                                                             guint flags,
                                                             GError **err);

## Object Hierarchy

      GObject
       +----GVirNetwork

## Properties

      "handle"                   GVirNetworkHandle*    : Read / Write / Construct Only

## Description

## Details

### struct GVirNetwork

    struct GVirNetwork;

### struct GVirNetworkClass

    struct GVirNetworkClass {
        GObjectClass parent_class;

        void (*started)(GVirNetwork *net);
        void (*stopped)(GVirNetwork *net);

        gpointer padding[20];
    };

### gvir_network_get_name ()

    const gchar *       gvir_network_get_name               (GVirNetwork *network);

### gvir_network_get_uuid ()

    const gchar *       gvir_network_get_uuid               (GVirNetwork *network);

### gvir_network_get_config ()

    GVirConfigNetwork * gvir_network_get_config             (GVirNetwork *network,
                                                             guint flags,
                                                             GError **err);

`network` : | the network
`flags` : | the flags
`err` : | Place-holder for possible errors
Returns : | the config. The returned object should be unreffed with `g_object_unref()` when no longer needed. [transfer full]

## Property Details

### The `"handle"` property

      "handle"                   GVirNetworkHandle*    : Read / Write / Construct Only

The network handle.